#!/bin/bash
#
# $Id$
#
# IceProd environment script.
#
# THIS FILE WAS AUTOGENERATED.  ANY CHANGES YOU MAKE HERE WILL BE
# LOST.  
# 
# [tds] If you need to change things here to make things work, that's
# a bug and you should *report* this to dataclass@icecube.wisc.edu or
# offlinebug@icecube.umd.edu.  Thanks for your help.  
#
if [[ "$1" = "help" ]]
    then
    echo "Usage: $0 [SHELL]"
    echo "Spawn a new shell with a globus environment loaded"
    echo ""
    echo "SHELL can specified with or without a full path.  If SHELL"
    echo "is omitted the login shell is used by default."
    echo "Examples:"
    echo "   ./env.sh"
    echo "   ./env.sh tcsh"
    echo "   ./env.sh /bin/tcsh"
    echo ""
    echo "To exit the globus environment simply exit the new shell."
    echo ""
    exit 1
fi

if [[ -z "$1" ]]
    then # user did not specify a shell
    NEW_SHELL=$SHELL 
    # only exit if no shell specified on command line *and* env already loaded 
    if [[ -n "$GLOBUS_SHELL" ]] 
	then  
	echo "****************************************************************"
	echo "You are currently in a shell with a globus environment loaded."
	echo "Please exit the current shell and re-run $0 from a clean shell."
	echo "****************************************************************"
	echo "Environment not (re)loaded."
	exit 2
    fi
else
    NEW_SHELL=$1
    shift
    ARGV=$*
fi

_GLOBUS_LOCATION=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
_GLOBUS_SHELL=$NEW_SHELL
_LD_LIBRARY_PATH=$_GLOBUS_LOCATION/lib64:$_GLOBUS_LOCATION/lib:$LD_LIBRARY_PATH
_DYLD_LIBRARY_PATH=$_GLOBUS_LOCATION/lib64:$_GLOBUS_LOCATION/lib:$DYLD_LIBRARY_PATH
_LIBRARY_PATH=$_GLOBUS_LOCATION/lib64:$_GLOBUS_LOCATION/lib:$LIBRARY_PATH
_PERL5LIB=$_GLOBUS_LOCATION/lib/perl:$_GLOBUS_LOCATION/lib/perl5:$_GLOBUS_LOCATION/lib/perl5/site_perl:$PERL5LIB
_PATH=$_GLOBUS_LOCATION/bin:$PATH

TOPBAR="************************************************************************"
WIDTH=`echo "$TOPBAR" | wc -c`

WIDTH=$(( $WIDTH-2 ))

function printctr()
{
    LEN=`echo "$*" | wc -c`
    LOFFSET=$(( ($WIDTH-$LEN)/2 ))
    ROFFSET=$(( $WIDTH-$LOFFSET-$LEN ))

    FORMAT="*%${LOFFSET}s%s%${ROFFSET}s*\n"
    printf $FORMAT " " "$*" " "
}

if [[ -z "$GLOBUS_SHELL" ]] # a clean, first invocation
    then

    PATH=$_PATH \
	LD_LIBRARY_PATH=$_LD_LIBRARY_PATH \
	DYLD_LIBRARY_PATH=$_DYLD_LIBRARY_PATH \
	GLOBUS_LOCATION=$_GLOBUS_LOCATION \
	LIBRARY_PATH=$_LIBRARY_PATH \
	PERL5LIB=$_PERL5LIB \
	GLOBUS_SHELL=$_GLOBUS_SHELL \
	$NEW_SHELL $ARGV

else  # not clean, use previous environment
    $NEW_SHELL $ARGV
fi

STATUS=$?

if [ -z "$ARGV" ]
then
    echo "Exited globus environment."
fi
exit $STATUS
